Bug 232051 - selinux denial for useradd
Summary: selinux denial for useradd
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kismet (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 18:42 UTC by cje
Modified: 2008-05-07 01:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:17:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description cje 2007-03-13 18:42:42 UTC
Description of problem:
when installing kismet i get an avc selinux denial for /usr/sbin/useradd wanting
read/write on file 'faillog'

Version-Release number of selected component (if applicable):
kismet-0.0.2007.01.R1b-7.fc7
selinux-policy-2.5.8-2.fc7
selinux-policy-targeted-2.5.8-2.fc7

How reproducible:
always afaik


Steps to Reproduce:
1. yum install kismet
2.
3.
  
Actual results:
avc denial

Expected results:
no denial

Additional info:

Comment 1 OC 2007-03-18 02:22:20 UTC
I'm getting the same problem on Red Hat Enterprise Linux 5 (final).
My problem isn't with Kismet, but the error is the same:

rpm -i software

AVC denial warning: SELinux denial useradd access to read and write to faillog.

I know that there is a local policy to avoid this denial, but it's not an
elegant solution. 

Comment 2 Bug Zapper 2008-04-03 23:40:34 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:17:14 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.